setwd('H:/myxobolus/RT_eredmeny/Q PCR')
adat=read.table('qbase_pseu_eng.csv',header=TRUE,dec=".",sep=",")

# experiment number 1
adat_k=adat[adat$exp=="exp1",]
#fix(adat_k)
adat_k=droplevels((adat_k)) 
str(adat_k)

with(adat_k[adat_k$RT_PCR=="+",],table(species,time)) 
with(adat_k[adat_k$RT_PCR=="+",],table(species,time))/with(adat_k,table(species,time))

# leíró statisztikák:
leiro_k=data.frame(matrix(NA,nrow=9,ncol=8))

leiro_k[1,1:6]=with(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="roach"&adat_k$time=="1 day",],summary(logCNRQ))
leiro_k[1,7]=with(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="roach"&adat_k$time=="1 day",],sd(logCNRQ))
leiro_k[4,1:6]=with(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="rudd"&adat_k$time=="1 day",],summary(logCNRQ))
leiro_k[4,7]=with(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="rudd"&adat_k$time=="1 day",],sd(logCNRQ))
leiro_k[7,1:6]=with(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="Cg"&adat_k$time=="1 day",],summary(logCNRQ))
leiro_k[7,7]=with(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="Cg"&adat_k$time=="1 day",],sd(logCNRQ))

leiro_k[2,1:6]=with(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="roach"&adat_k$time=="1 week",],summary(logCNRQ))
leiro_k[2,7]=with(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="roach"&adat_k$time=="1 week",],sd(logCNRQ))
leiro_k[5,1:6]=with(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="rudd"&adat_k$time=="1 week",],summary(logCNRQ))
leiro_k[5,7]=with(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="rudd"&adat_k$time=="1 week",],sd(logCNRQ))
leiro_k[8,1:6]=with(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="Cg"&adat_k$time=="1 week",],summary(logCNRQ))
leiro_k[8,7]=with(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="Cg"&adat_k$time=="1 week",],sd(logCNRQ))

leiro_k[3,1:6]=with(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="roach"&adat_k$time=="1 month",],summary(logCNRQ))
leiro_k[3,7]=with(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="roach"&adat_k$time=="1 month",],sd(logCNRQ))
leiro_k[6,1:6]=with(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="rudd"&adat_k$time=="1 month",],summary(logCNRQ))
leiro_k[6,7]=with(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="rudd"&adat_k$time=="1 month",],sd(logCNRQ))
leiro_k[9,1:6]=with(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="Cg"&adat_k$time=="1 month",],summary(logCNRQ))
leiro_k[9,7]=with(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="Cg"&adat_k$time=="1 month",],sd(logCNRQ))

leiro_k[1,8]=dim(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="roach"&adat_k$time=="1 day",])[1]
leiro_k[2,8]=dim(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="roach"&adat_k$time=="1 week",])[1]
leiro_k[3,8]=dim(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="roach"&adat_k$time=="1 month",])[1]
leiro_k[4,8]=dim(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="rudd"&adat_k$time=="1 day",])[1]
leiro_k[5,8]=dim(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="rudd"&adat_k$time=="1 week",])[1]
leiro_k[6,8]=dim(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="rudd"&adat_k$time=="1 month",])[1]
leiro_k[7,8]=dim(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="Cg"&adat_k$time=="1 day",])[1]
leiro_k[8,8]=dim(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="Cg"&adat_k$time=="1 week",])[1]
leiro_k[9,8]=dim(adat_k[adat_k$RT_PCR=="+"&adat_k$species=="Cg"&adat_k$time=="1 month",])[1]

rownames(leiro_k)=c("b1 day", "b1 week", "b1 month","v1 day", "v1 week", "v1 month","k1 day", "k1 week", "k1 month")
colnames(leiro_k)=c("Min.", "1st Qu.",  "Median ",   "Mean", "3rd Qu.",    "Max.", "SD", "Nr")


with(adat_k,table(RT_PCR,species)) 
# chi2:
species_pcr=matrix(3,3) 
proba=data.frame(with(adat_k,table(RT_PCR,species)))
species_pcr=matrix(nrow=3,ncol=2,proba$Freq[(proba$RT_PCR=="-"|proba$RT_PCR=="+")],byrow=T)
row.names(species_pcr)=c("roach","Cg","vorosszarnyu")
colnames(species_pcr)=c("-","+")
#fix(species_pcr)
chisq.test(species_pcr) 

# barplot:
par(mar=c(5.1, 5.6, 4.1, 2.1)) 
barplot(with(adat_k[adat_k$RT_PCR=="+",],table(time,species))/(with(adat_k,table(time,species)))*100,ylab="   Prevalence (%)",beside=TRUE,col=c("salmon","royalblue4","palegoldenrod"),xaxt="n",cex.axis = 3, cex.names = 2,cex.main=2,cex.lab=3) #
axis(side=1,at=c(2.5,6.5,10.5),tick=FALSE,cex.axis=1.5,labels=c("Roach","Gibel carp","Rudd"))#
legend(x=10.5,y=100,col=c("salmon","royalblue4","palegoldenrod"),legend=c("1 day","1 week","1 month"),bty="n",pch=15,x.intersp=0.5,y.intersp=0.8,cex=2)
par(mar=c(5.1, 4.1, 4.1, 2.1))


# CNRQ:
# ANOVA
amod_e1=lm(logCNRQ~species,data=adat_k)
anova(amod_e1) 
library(multcomp) 
amod_e1_tukey=glht(amod_e1,linfct=mcp(species="Tukey"))
summary(amod_e1_tukey) 

# 1 day:
amod_e3=lm(logCNRQ~species,data=adat_k[adat_k$time=="1 day",])
anova(amod_e3)
amod_e3_tukey=glht(amod_e3,linfct=mcp(species="Tukey"))
summary(amod_e3_tukey)

# 1 week:
amod_e4=lm(logCNRQ~species,data=adat_k[adat_k$time=="1 week",])
anova(amod_e4) 

# 1 month:
amod_e5=lm(logCNRQ~species,data=adat_k[adat_k$time=="1 month",])
anova(amod_e5) 

#######
# roach
amod_e6=lm(logCNRQ~time,data=adat_k[adat_k$species=="roach",])
anova(amod_e6) 

# rudd:
amod_e7=lm(logCNRQ~time,data=adat_k[adat_k$species=="rudd",])
anova(amod_e7)
amod_e7_tukey=glht(amod_e7,linfct=mcp(time="Tukey"))
summary(amod_e7_tukey)

# gibel carp:
amod_e8=lm(logCNRQ~time,data=adat_k[adat_k$species=="Cg",])
anova(amod_e8) 


# boxplot:
par(mar=c(5.1, 5.1, 4.1, 2.1))
with(adat_k,boxplot(logCNRQ~species, ylab=expression("Log"[10]*CNRQ),xaxt='n',cex.lab=2,cex.axis=2,cex.main=2,ylim=c(-1,4),cex.sub=2))
axis(side=1,at=(1:3),labels=c("Roach","Gibel carp","Rudd"),cex.axis=2)
text(x=1,y=-1,labels="A",cex=2)
text(x=2,y=-1,labels="B",cex=2)
text(x=3,y=-1,labels="A B",cex=2)
par(mar=c(5.1, 4.1, 4.1, 2.1))


# cím nélkül:
cimke=paste0(rep(c("Rr","Cg","Se"),each=3),rep(c("\n1 day","\n1 week","\n1 month"),times=3))
par(mar=c(5.1, 5.1, 4.1, 2.1))
with(adat_k,boxplot(logCNRQ~time:species, ylab=expression("Log"[10]*CNRQ),xaxt='n',cex.lab=2,cex.axis=1.5,cex.main=2,ylim=c(-1,4)))
axis(side=1,at=(1:9),labels=cimke,cex.axis=1.5,tick=FALSE,pos=-0.91)
text(x=1,y=-0.4,labels="A",cex=2)
text(x=7,y=-0.4,labels="A B",cex=2)
text(x=4,y=-0.4,labels="B",cex=2)
par(mar=c(5.1, 4.1, 4.1, 2.1))




#############################################################################:
# experiment number 2
adat_b=adat[adat$exp=="exp2",]
#fix(adat_b)
adat_b=droplevels((adat_b))
str(adat_b)
adat_b$time=factor(adat_b$time,levels=c("1 day","1 week","1 month"))

# descriptive statistics:
leiro_b=data.frame(matrix(NA,nrow=12,ncol=8))

leiro_b[1,1:6]=with(adat_b[adat_b$RT_PCR=="+"&adat_b$species=="roach"&adat_b$time=="1 day",],summary(logCNRQ)) [1:6]
leiro_b[1,7]=with(adat_b[adat_b$RT_PCR=="+"&adat_b$species=="roach"&adat_b$time=="1 day",],sd(logCNRQ,na.rm=T))
leiro_b[5,1:6]=with(adat_b[adat_b$RT_PCR=="+"&adat_b$species=="bream"&adat_b$time=="1 day",],summary(logCNRQ))[1:6]
leiro_b[5,7]=with(adat_b[adat_b$RT_PCR=="+"&adat_b$species=="bream"&adat_b$time=="1 day",],sd(logCNRQ,na.rm=T))
leiro_b[9,1:6]=with(adat_b[adat_b$RT_PCR=="+"&adat_b$species=="rudd"&adat_b$time=="1 day",],summary(logCNRQ))[1:6]
leiro_b[9,7]=with(adat_b[adat_b$RT_PCR=="+"&adat_b$species=="rudd"&adat_b$time=="1 day",],sd(logCNRQ,na.rm=T))

leiro_b[2,1:6]=with(adat_b[adat_b$RT_PCR=="+"&adat_b$species=="roach"&adat_b$time=="1 week",],summary(logCNRQ))[1:6]
leiro_b[2,7]=with(adat_b[adat_b$RT_PCR=="+"&adat_b$species=="roach"&adat_b$time=="1 week",],sd(logCNRQ,na.rm=T))
leiro_b[6,1:6]=with(adat_b[adat_b$RT_PCR=="+"&adat_b$species=="bream"&adat_b$time=="1 week",],summary(logCNRQ))[1:6]
leiro_b[6,7]=with(adat_b[adat_b$RT_PCR=="+"&adat_b$species=="bream"&adat_b$time=="1 week",],sd(logCNRQ,na.rm=T))
leiro_b[10,1:6]=with(adat_b[adat_b$RT_PCR=="+"&adat_b$species=="rudd"&adat_b$time=="1 week",],summary(logCNRQ))[1:6]
leiro_b[10,7]=with(adat_b[adat_b$RT_PCR=="+"&adat_b$species=="rudd"&adat_b$time=="1 week",],sd(logCNRQ,na.rm=T))

leiro_b[3,1:6]=with(adat_b[adat_b$RT_PCR=="+"&adat_b$species=="roach"&adat_b$time=="1 month",],summary(logCNRQ))[1:6]
leiro_b[3,7]=with(adat_b[adat_b$RT_PCR=="+"&adat_b$species=="roach"&adat_b$time=="1 month",],sd(logCNRQ,na.rm=T))
leiro_b[7,1:6]=with(adat_b[adat_b$RT_PCR=="+"&adat_b$species=="bream"&adat_b$time=="1 month",],summary(logCNRQ))[1:6]
leiro_b[7,7]=with(adat_b[adat_b$RT_PCR=="+"&adat_b$species=="bream"&adat_b$time=="1 month",],sd(logCNRQ,na.rm=T))
leiro_b[11,1:6]=with(adat_b[adat_b$RT_PCR=="+"&adat_b$species=="rudd"&adat_b$time=="1 month",],summary(logCNRQ))[1:6]
leiro_b[11,7]=with(adat_b[adat_b$RT_PCR=="+"&adat_b$species=="rudd"&adat_b$time=="1 month",],sd(logCNRQ,na.rm=T))


proba_bn=adat_b[adat_b$RT_PCR=="+"&adat_b$species=="roach"&adat_b$time=="1 day",] 
leiro_b[1,8]=dim(proba_bn[!is.na(proba_bn$ID),])[1]
proba_bh=adat_b[adat_b$RT_PCR=="+"&adat_b$species=="roach"&adat_b$time=="1 week",]
leiro_b[2,8]=dim(proba_bh[!is.na(proba_bh$ID),])[1]
proba_b1ho=adat_b[adat_b$RT_PCR=="+"&adat_b$species=="roach"&adat_b$time=="1 month",]
leiro_b[3,8]=dim(proba_b1ho[!is.na(proba_b1ho$ID),])[1]

proba_dn=adat_b[adat_b$RT_PCR=="+"&adat_b$species=="bream"&adat_b$time=="1 day",]
leiro_b[5,8]=dim(proba_dn[!is.na(proba_dn$ID),])[1]
proba_dh=adat_b[adat_b$RT_PCR=="+"&adat_b$species=="bream"&adat_b$time=="1 week",]
leiro_b[6,8]=dim(proba_dh[!is.na(proba_dh$ID),])[1]
proba_d1ho=adat_b[adat_b$RT_PCR=="+"&adat_b$species=="bream"&adat_b$time=="1 month",]
leiro_b[7,8]=dim(proba_d1ho[!is.na(proba_d1ho$ID),])[1]

proba_vn=adat_b[adat_b$RT_PCR=="+"&adat_b$species=="rudd"&adat_b$time=="1 day",]
leiro_b[9,8]=dim(proba_vn[!is.na(proba_vn$ID),])[1]
proba_vh=adat_b[adat_b$RT_PCR=="+"&adat_b$species=="rudd"&adat_b$time=="1 week",]
leiro_b[10,8]=dim(proba_vh[!is.na(proba_vh$ID),])[1]
proba_v1ho=adat_b[adat_b$RT_PCR=="+"&adat_b$species=="rudd"&adat_b$time=="1 month",]
leiro_b[11,8]=dim(proba_v1ho[!is.na(proba_v1ho$ID),])[1]

rownames(leiro_b)=c("b1 day", "b1 week", "b1 month","d1 day", "d1 week", "d1 month","v1 day", "v1 week", "v1 month")
colnames(leiro_b)=c("Min.", "1st Qu.",  "Median ",   "Mean", "3rd Qu.",    "Max.", "SD", "Nr")



# chi2:
species_pcr=matrix(3,3)
proba=data.frame(with(adat_b,table(RT_PCR,species)))
species_pcr=matrix(nrow=3,ncol=2,proba$Freq[(proba$RT_PCR=="-"|proba$RT_PCR=="+")],byrow=T)
row.names(species_pcr)=c("roach","bream","rudd")
colnames(species_pcr)=c("-","+")
#fix(species_pcr)
chisq.test(species_pcr) 



# barplot:
par(mar=c(5.1, 5.6, 4.1, 2.1))
barplot(with(adat_b[adat_b$RT_PCR=="+",],table(time,species))[-4,]/(with(adat_b,table(time,species))[-4,])*100,ylab="  Prevalence (%)",beside=TRUE,col=c("salmon","royalblue4","palegoldenrod"),xaxt="n",cex.axis = 3, cex.names = 2,cex.main=2.5,cex.lab=3,ylim=c(0,100)) #
axis(side=1,at=c(2.5,6,10.5),labels=c("","",""),tick=FALSE,cex.axis=2) # labels=c("Roach","Bream","Rudd")
legend(x=9,y=100,col=c("salmon","royalblue4","palegoldenrod"),legend=c("1 day","1 week","1 month"),bty="n",pch=15,x.intersp=0.5,y.intersp=0.8,cex=2)
par(mar=c(5.1, 4.1, 4.1, 2.1))


# CNRQ:
# ANOVA
amod_b_e1=lm(logCNRQ~species,data=adat_b)
anova(amod_b_e1)
library(multcomp) 
amod_b_e1_tukey=glht(amod_b_e1,linfct=mcp(species="Tukey"))
summary(amod_b_e1_tukey) 

amod_b_e2=lm(logCNRQ~time,data=adat_b)
anova(amod_b_e2)

# 1 day:
amod_b_e3=lm(logCNRQ~species,data=adat_b[adat_b$time=="1 day",])
anova(amod_b_e3) 
amod_b_e3_tukey=glht(amod_b_e3,linfct=mcp(species="Tukey"))
summary(amod_b_e3_tukey)

# 1 week:
amod_b_e4=lm(logCNRQ~species,data=adat_b[adat_b$time=="1 week",])
anova(amod_b_e4) 
amod_b_e4_tukey=glht(amod_b_e4,linfct=mcp(species="Tukey"))
summary(amod_b_e4_tukey) 

# 1 month:
t.test(logCNRQ~species,data=adat_b[adat_b$time=="1 month",]) 

#######
# roach
amod_b_e6=lm(logCNRQ~time,data=adat_b[adat_b$species=="roach",])
anova(amod_b_e6)

# rudd:
amod_b_e7=lm(logCNRQ~time,data=adat_b[adat_b$species=="rudd",])
anova(amod_b_e7) 

# bream:
amod_b_e8=lm(logCNRQ~time,data=adat_b[adat_b$species=="bream",])
anova(amod_b_e8)


# boxplot
par(mar=c(5.1, 5.1, 4.1, 2.1))
with(adat_b,boxplot(logCNRQ~species, ylab=expression("Log"[10]*CNRQ),xaxt='n',cex.lab=2,cex.axis=2,cex.main=2,ylim=c(-1,4)))
axis(side=1,at=(1:3),labels=c("Roach","Bream","Rudd"),cex.axis=2)
text(x=1,y=0,labels="A",cex=2)
text(x=2,y=0,labels="B",cex=2)
text(x=3,y=0,labels="A B",cex=2)
par(mar=c(5.1, 4.1, 4.1, 2.1))


cimke=paste0(rep(c("Rr","Ab","Se"),each=3),rep(c("\n1 day","\n1 week","\n1 month"),times=3))
par(mar=c(5.1, 5.1, 4.1, 2.1))
with(droplevels(adat_b[adat_b$time!="3 honap",]),boxplot(logCNRQ~time:species, ylab=expression("Log"[10]*CNRQ),cex.lab=2,cex.axis=1.5,cex.main=2,xaxt='n',ylim=c(-1,4)))
axis(side=1,at=(1:9),labels=cimke,cex.axis=1.5,tick=FALSE,pos=-0.2)
text(x=1,y=0,labels="A",cex=2)
text(x=2,y=0,labels="B",cex=2)
text(x=3,y=0,labels="C",cex=2)
text(x=4,y=0,labels="D",cex=2)
text(x=7,y=0,labels="A D",cex=2)
text(x=8,y=0,labels="B",cex=2)
text(x=9,y=0,labels="C",cex=2)
par(mar=c(5.1, 4.1, 4.1, 2.1))





# 3 in 1
par(mfrow=c(1,3))
# exp1
par(mar=c(5.1, 6.1, 4.1, 2.1),font.axis=2,font.lab=2) 
barplot(with(adat_k[adat_k$RT_PCR=="+",],table(time,species))/(with(adat_k,table(time,species)))*100,ylab="Prevalence  (%)",beside=TRUE,col=c("salmon","royalblue4","palegoldenrod"),xaxt="n",cex.axis = 2.5, cex.names = 3,cex.main=2,cex.lab=3) #
axis(side=1,at=c(2.5,6.5,10.5),labels=c("Rr","Cg","Se"),tick=FALSE,cex.axis=3,pos=-2.2)
legend(x=9,y=100,col=c("salmon","royalblue4","palegoldenrod"),legend=c("1 day","1 week","1 month"),bty="n",pch=15,x.intersp=0.5,y.intersp=0.8,cex=3)
par(mar=c(5.1, 4.1, 4.1, 2.1))

par(mar=c(5.1, 6.1, 4.1, 2.1),font.axis=2,font.lab=2)
with(adat_k,boxplot(logCNRQ~species, ylab=expression(bold("Log"[10]*CNRQ)),xaxt='n',cex.lab=3,cex.axis=2.5,cex.main=2,ylim=c(-1,4),cex.sub=2,outlwd = 2))
axis(side=1,at=(1:3),labels=c("Rr","Cg","Se"),cex.axis=3,tick=FALSE,pos=-1.3)
text(x=1,y=3.4,labels="a",cex=3)
text(x=2,y=2.2,labels="b",cex=3)
text(x=3,y=3.5,labels="a b",cex=3)
par(mar=c(5.1, 4.1, 4.1, 2.1))

cimke=rep(c("1d","1w","1m"),times=3)
par(mar=c(5.1, 6.1, 4.1, 2.1),font.axis=2,font.lab=2)
with(adat_k,boxplot(logCNRQ~time:species, ylab=expression(bold("Log"[10]*CNRQ)),xaxt='n',cex.lab=3,cex.axis=2.5,cex.main=2,ylim=c(-1,4),outlwd = 2))
axis(side=1,at=(1:9),labels=cimke,cex.axis=2.4,tick=FALSE,pos=-1.2)
text(x=1,y=2.6,labels="a",cex=3)
text(x=7,y=3,labels="a b",cex=3)
text(x=4,y=1.3,labels="b",cex=3)
mtext(text=c(expression(bold("Rr")),expression(bold("Cg")),expression(bold("Se"))),at=c(0.75,0.84,0.923),side=1,line=-1.4,outer=TRUE,adj=0,cex=2) # 
par(mar=c(5.1, 4.1, 4.1, 2.1))

mtext(text=c(expression(bold("A")),expression(bold("B")),expression(bold("C"))),at=c(0.001,0.335,0.667),side=3,outer=TRUE,adj=0,cex=3,line=-3.2)#
par(mfrow=c(1,1))


##############################################################
# exp2
par(mfrow=c(1,3))
par(mar=c(5.1, 6.1, 4.1, 2.1),font.axis=2,font.lab=2)
barplot(with(adat_b[adat_b$RT_PCR=="+",],table(time,species))[-4,]/(with(adat_b,table(time,species))[-4,])*100,ylab="Prevalence (%)",beside=TRUE,col=c("salmon","royalblue4","palegoldenrod"),xaxt="n",cex.axis = 2.5, cex.names = 3,cex.main=2.5,cex.lab=3,ylim=c(0,100)) #
axis(side=1,at=c(2.5,6,10.5),labels=c("Rr","Ab","Se"),tick=FALSE,cex.axis=3,pos=-2.2)
legend(x=9,y=100,col=c("salmon","royalblue4","palegoldenrod"),legend=c("1 day","1 week","1 month"),bty="n",pch=15,x.intersp=0.5,y.intersp=0.8,cex=3)
text(x=7.6,y=2.1,labels="n.d.",cex=3,col="darkred")
par(mar=c(5.1, 4.1, 4.1, 2.1))

par(mar=c(5.1, 6.1, 4.1, 2.1),font.axis=2,font.lab=2)
with(adat_b,boxplot(logCNRQ~species, ylab=expression(bold("Log"[10]*CNRQ)),xaxt='n',cex.lab=3,cex.axis=2.5,cex.main=2,ylim=c(-1,4)))
axis(side=1,at=(1:3),labels=c("Rr","Ab","Se"),cex.axis=3,tick=FALSE,pos=-1.3)
text(x=1,y=2.95,labels="A",cex=3)
text(x=2,y=1.875,labels="B",cex=3)
text(x=3,y=4.075,labels="A B",cex=3)
par(mar=c(5.1, 4.1, 4.1, 2.1))

cimke=rep(c("1d","1w","1m"),times=3)
par(mar=c(5.1, 6.1, 4.1, 2.1),font.axis=2,font.lab=2)
with(droplevels(adat_b[adat_b$time!="3 honap",]),boxplot(logCNRQ~time:species, ylab=expression(bold("Log"[10]*CNRQ)),cex.lab=3,cex.axis=2.5,cex.main=2,xaxt='n',ylim=c(-1,4),outlwd = 2))
axis(side=1,at=(1:9),labels=cimke,cex.axis=2.4,tick=FALSE,pos=-1.2)
text(x=1,y=2,labels="A",cex=3)
text(x=2,y=2,labels="b",cex=3)
text(x=3,y=2.95,labels="c",cex=3)
text(x=4,y=1.5,labels="d",cex=3)
text(x=7,y=2.95,labels="A d",cex=3)
text(x=8,y=3.45,labels="b",cex=3)
text(x=9,y=2.6,labels="c",cex=3)
text(x=6,y=-1,labels="n.d.",cex=3,col="darkred")
par(mar=c(5.1, 4.1, 4.1, 2.1))
mtext(text=c(expression(bold("Rr")),expression(bold("Ab")),expression(bold("Se"))),at=c(0.75,0.84,0.923),side=1,line=-2,outer=TRUE,adj=0,cex=2)
mtext(text=c(expression(bold("A")),expression(bold("B")),expression(bold("C"))),at=c(0.001,0.335,0.667),side=3,outer=TRUE,adj=0,cex=3,line=-3.2)

par(mfrow=c(1,1))

